Class UmlBaseMessage

this class manages messages indenpendently of the diagram

Declaration :

- C++ : class UmlBaseMessage
- Java : class UmlBaseMessage

Directly inherited by : UmlMessage

Artifact : UmlBaseMessage

Operation from

return the instance sending the message

Declaration :

- Uml : + from() : UmlClassInstanceReference
- C++ : public: UmlClassInstanceReference * from() const
- Java : public UmlClassInstanceReference from()

Operation to

return the instance receiving the message

Declaration :

- Uml : + to() : UmlClassInstanceReference
- C++ : public: UmlClassInstanceReference * to() const
- Java : public UmlClassInstanceReference to()

Operation operation

return the operation or 0/null,
exclusive with form()

Declaration :

- Uml : + operation() : UmlOperation
- C++ : public: UmlOperation * operation() const
- Java : public UmlOperation operation()

Operation form

return message as a string, may be empty/null,
exclusive with operation()

Declaration :

- Uml : + form() : string
- C++ : public: const QCString & form() const
- Java : public String form()

Relation _from (<unidirectional association>)

Declaration :

- Uml : - _from : UmlClassInstanceReference
- C++ : private: UmlClassInstanceReference * _from
- Java : private UmlClassInstanceReference _from

Relation _to (<unidirectional association>)

Declaration :

- Uml : - _to : UmlClassInstanceReference
- C++ : private: UmlClassInstanceReference * _to
- Java : private UmlClassInstanceReference _to

Relation _operation (<unidirectional association>)

Declaration :

- Uml : - _operation : UmlOperation
- C++ : private: UmlOperation * _operation
- Java : private UmlOperation _operation

Attribute _form

Declaration :

- Uml : - _form : string
- C++ : private: QCString _form
- Java : private String _form

Operation read_

internal, don't call it

Declaration :

- Uml : + read_(in instances : UmlClassInstanceReference) : void
- C++ : private: void read_(const QPtrDict<UmlClassInstanceReference> & instances)
- Java : public void read_(Hashtable instances)

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseSequenceMessage;
        friend class UmlBaseCollaborationMessage;

All public operations : form , from , operation , read_ , to